/campaigns/{id} Authentication
Send your organization API key as a Bearer credential.
Authorization: Bearer YOUR_API_KEY Path parameters
id string required UUID of the campaign which you want to patch
550e8400-e29b-41d4-a716-446655440000 Body
application/json name string Campaign name.
Warmup January Campaign prioritize_new_leads boolean If enabled — system prioritizes sending to new leads first.
true open_tracking boolean Enable or disable email open tracking.
true stop_on_reply boolean If true — campaign stops automatically when any lead replies.
false schedule any Embedded schedule update object.
account_ids number[] Array of account IDs (email senders) that campaign should use.
[10, 14, 22] Response
application/json Campaign successfully updated
status string required Status of action
success Invalid request body (e.g. missing required fields, or invalid field values)
message string[] required List of detailed validation or business error messages
["Name cannot be empty", "Field must be greater than 0"] error string required Short error description
Bad Request statusCode number required HTTP status code of the error
400 This request is unauthorized (either the Authorization header is missing or invalid, or the API key has been revoked)
message string[] required List of messages explaining why the request was unauthorized
["User is not authorized", "Invalid API key"] error string required Short error description
Unauthorized statusCode number required HTTP status code of the error
401 You have exceeded the rate limit. Please check the rate limit docs for more information.
message string[] required List of messages explaining the rate limiting issue
["Too many requests, please try again later"] error string required Short error description
Too Many Requests statusCode number required HTTP status code of the error
429